- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# tcpmon_session.h File Reference

represent session of tcpmon More...

`#include <axutil_env.h>`
`#include <tcpmon_entry.h>`
`#include <axutil_string.h>`

Go to the source code of this file.

## Classes
struct | tcpmon_session_ops
struct | tcpmon_session
## Defines
#define | TCPMON_SESSION_FREE(session, env) ((session)->ops->free (session, env))
#define | TCPMON_SESSION_SET_TEST_BIT(session, env, test_bit) ((session)->ops->set_test_bit(session, env, test_bit))
#define | TCPMON_SESSION_GET_TEST_BIT(session, env) ((session)->ops->get_test_bit(session, env))
#define | TCPMON_SESSION_SET_FORMAT_BIT(session, env, format_bit) ((session)->ops->set_format_bit(session, env, format_bit))
#define | TCPMON_SESSION_GET_FORMAT_BIT(session, env) ((session)->ops->get_format_bit(session, env))
#define | TCPMON_SESSION_SET_LISTEN_PORT(session, env, listen_port) ((session)->ops->set_listen_port(session, env, listen_port))
#define | TCPMON_SESSION_GET_LISTEN_PORT(session, env) ((session)->ops->get_listen_port(session, env))
#define | TCPMON_SESSION_SET_TARGET_PORT(session, env, target_port) ((session)->ops->set_target_port(session, env, target_port))
#define | TCPMON_SESSION_GET_TARGET_PORT(session, env) ((session)->ops->get_target_port(session, env))
#define | TCPMON_SESSION_SET_TARGET_HOST(session, env, target_host) ((session)->ops->set_target_host(session, env, target_host))
#define | TCPMON_SESSION_GET_TARGET_HOST(session, env) ((session)->ops->get_target_host(session, env))
#define | TCPMON_SESSION_START(session, env) ((session)->ops->start(session, env))
#define | TCPMON_SESSION_STOP(session, env) ((session)->ops->stop(session, env))
#define | TCPMON_SESSION_ON_TRANS_FAULT(session, env, funct) ((session)->ops->on_trans_fault(session, env, funct))
#define | TCPMON_SESSION_ON_NEW_ENTRY(session, env, funct) ((session)->ops->on_new_entry(session, env, funct))
## Typedefs
typedef struct tcpmon_session_ops | tcpmon_session_ops_t
typedef struct tcpmon_session | tcpmon_session_t
typedef int(* | TCPMON_SESSION_NEW_ENTRY_FUNCT )(const axutil_env_t *env, tcpmon_entry_t *entry, int status)
typedef int(* | TCPMON_SESSION_TRANS_ERROR_FUNCT )(const axutil_env_t *env, axis2_char_t *error_message)
## Functions
tcpmon_session_t * | tcpmon_session_create (const axutil_env_t *env)

## Detailed Description

represent session of tcpmon